# class Byebug::ShowCommand

Show byebug settings.

### Public Class Methods

description() click to toggle source

    # File lib/byebug/commands/show.rb, line 17
        def self.description
          <<-DESCRIPTION
            show <setting> <value>

            #{short_description}

            You can change them with the "set" command.
          DESCRIPTION
        end

help() click to toggle source
Calls superclass method Byebug::Command.help

    # File lib/byebug/commands/show.rb, line 31
    def self.help
      super + Setting.help_all
    end

regexp() click to toggle source

    # File lib/byebug/commands/show.rb, line 13
    def self.regexp
      /^\s* show (?:\s+(?<setting>\w+))? \s*$/x
    end

short_description() click to toggle source

    # File lib/byebug/commands/show.rb, line 27
    def self.short_description
      "Shows byebug settings"
    end

### Public Instance Methods

execute() click to toggle source

    # File lib/byebug/commands/show.rb, line 35
    def execute
      key = @match[:setting]
      return puts(help) unless key

      setting = Setting.find(key)
      return errmsg(pr("show.errors.unknown_setting", key: key)) unless setting

      puts Setting.settings[setting.to_sym]
    end